/*
 * MosP - Mind Open Source Project    http://www.mosp.jp/
 * Copyright (C) MIND Co., Ltd.       http://www.e-mind.co.jp/
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */
package jp.mosp.kintai.payroll.dto;

import jp.mosp.common.common.BaseDto;

/**
 * M_KEISAN(計算情報)のDTOクラス。
 */
public class MKeisanDto extends BaseDto {
	
	private static final long	serialVersionUID	= 3115468966868261668L;
	
	// フィールド
	private int					ktnen				= 0;					//給与計算年
	private int					kttuki				= 0;					//給与計算月
	private int					ksnen				= 0;					//給与支払年
	private int					kstuki				= 0;					//給与支払月
	private int					kshi				= 0;					//給与支払日
	private String				kkanryou			= "";					//給与完了
	private int					stnen				= 0;					//賞与計算年
	private int					sttuki				= 0;					//賞与計算月
	private int					ssnen				= 0;					//賞与支払年
	private int					sstuki				= 0;					//賞与支払月
	private int					sshi				= 0;					//賞与支払日
	private String				skanryou			= "";					//賞与完了
	private int					ntnen				= 0;					//年調計算年
	private String				nkanryou			= "";					//年調完了
	private int					ttnen				= 0;					//算定計算年
	private int					tttuki				= 0;					//算定計算月
	private String				tkanryou			= "";					//算定完了
	private int					gtnen				= 0;					//月変計算年
	private int					gttuki				= 0;					//月変計算月
	private String				gkanryou			= "";					//月変完了
																			
	
	/**
	 * コンストラクタ
	 */
	public MKeisanDto() {
		super();
	}
	
	// アクセサメソッド
	/**
	 * @return ktnen 	給与計算年。
	 */
	public int getKTNen() {
		return ktnen;
	}
	
	/**
	 * @return kttuki 	給与計算月。
	 */
	public int getKTTuki() {
		return kttuki;
	}
	
	/**
	 * @return ksnen 	給与支払年。
	 */
	public int getKSNen() {
		return ksnen;
	}
	
	/**
	 * @return kstuki 	給与支払月。
	 */
	public int getKSTuki() {
		return kstuki;
	}
	
	/**
	 * @return kshi 	給与支払日。
	 */
	public int getKShi() {
		return kshi;
	}
	
	/**
	 * @return kkanryou 	給与完了。
	 */
	public String getKKanryou() {
		return kkanryou;
	}
	
	/**
	 * @return stnen 	賞与計算年。
	 */
	public int getSTNen() {
		return stnen;
	}
	
	/**
	 * @return sttuki 	賞与計算月。
	 */
	public int getSTTuki() {
		return sttuki;
	}
	
	/**
	 * @return ssnen 	賞与支払年。
	 */
	public int getSSNen() {
		return ssnen;
	}
	
	/**
	 * @return sstuki 	賞与支払月。
	 */
	public int getSSTuki() {
		return sstuki;
	}
	
	/**
	 * @return sshi 	賞与支払日。
	 */
	public int getSSHi() {
		return sshi;
	}
	
	/**
	 * @return skanryou 	賞与完了。
	 */
	public String getSKanryou() {
		return skanryou;
	}
	
	/**
	 * @return ntnen 	年調計算年。
	 */
	public int getNTNen() {
		return ntnen;
	}
	
	/**
	 * @return nkanryou 	年調完了。
	 */
	public String getNKanryou() {
		return nkanryou;
	}
	
	/**
	 * @return ttnen 	算定計算年。
	 */
	public int getTTNen() {
		return ttnen;
	}
	
	/**
	 * @return tttuki 	算定計算月。
	 */
	public int getTTTuki() {
		return tttuki;
	}
	
	/**
	 * @return tkanryou 	算定完了。
	 */
	public String getTKanryou() {
		return tkanryou;
	}
	
	/**
	 * @return gtnen 	月変計算年。
	 */
	public int getGTNen() {
		return gtnen;
	}
	
	/**
	 * @return gttuki 	月変計算月。
	 */
	public int getGTTuki() {
		return gttuki;
	}
	
	/**
	 * @return gkanryou 	月変完了。
	 */
	public String getGKanryou() {
		return gkanryou;
	}
	
	/**
	 * @param ktnen 	セットする給与計算年。
	 */
	public void setKTNen(int ktnen) {
		this.ktnen = ktnen;
	}
	
	/**
	 * @param kttuki 	セットする給与計算月。
	 */
	public void setKTTuki(int kttuki) {
		this.kttuki = kttuki;
	}
	
	/**
	 * @param ksnen 	セットする給与支払年。
	 */
	public void setKSNen(int ksnen) {
		this.ksnen = ksnen;
	}
	
	/**
	 * @param kstuki 	セットする給与支払月。
	 */
	public void setKSTuki(int kstuki) {
		this.kstuki = kstuki;
	}
	
	/**
	 * @param kshi 	セットする給与支払日。
	 */
	public void setKShi(int kshi) {
		this.kshi = kshi;
	}
	
	/**
	 * @param kkanryou 	セットする給与完了。
	 */
	public void setKKanryou(String kkanryou) {
		this.kkanryou = kkanryou;
	}
	
	/**
	 * @param stnen 	セットする賞与計算年。
	 */
	public void setSTNen(int stnen) {
		this.stnen = stnen;
	}
	
	/**
	 * @param sttuki 	セットする賞与計算月。
	 */
	public void setSTTuki(int sttuki) {
		this.sttuki = sttuki;
	}
	
	/**
	 * @param ssnen 	セットする賞与支払年。
	 */
	public void setSSNen(int ssnen) {
		this.ssnen = ssnen;
	}
	
	/**
	 * @param sstuki 	セットする賞与支払月。
	 */
	public void setSSTuki(int sstuki) {
		this.sstuki = sstuki;
	}
	
	/**
	 * @param sshi 	セットする賞与支払日。
	 */
	public void setSSHi(int sshi) {
		this.sshi = sshi;
	}
	
	/**
	 * @param skanryou 	セットする賞与完了。
	 */
	public void setSKanryou(String skanryou) {
		this.skanryou = skanryou;
	}
	
	/**
	 * @param ntnen 	セットする年調計算年。
	 */
	public void setNTNen(int ntnen) {
		this.ntnen = ntnen;
	}
	
	/**
	 * @param nkanryou 	セットする年調完了。
	 */
	public void setNKanryou(String nkanryou) {
		this.nkanryou = nkanryou;
	}
	
	/**
	 * @param ttnen 	セットする算定計算年。
	 */
	public void setTTNen(int ttnen) {
		this.ttnen = ttnen;
	}
	
	/**
	 * @param tttuki 	セットする算定計算月。
	 */
	public void setTTTuki(int tttuki) {
		this.tttuki = tttuki;
	}
	
	/**
	 * @param tkanryou 	セットする算定完了。
	 */
	public void setTKanryou(String tkanryou) {
		this.tkanryou = tkanryou;
	}
	
	/**
	 * @param gtnen 	セットする月変計算年。
	 */
	public void setGTNen(int gtnen) {
		this.gtnen = gtnen;
	}
	
	/**
	 * @param gttuki 	セットする月変計算月。
	 */
	public void setGTTuki(int gttuki) {
		this.gttuki = gttuki;
	}
	
	/**
	 * @param gkanryou 	セットする月変完了。
	 */
	public void setGKanryou(String gkanryou) {
		this.gkanryou = gkanryou;
	}
	
}
